#Server properties
server.port=8080
#Datasource properties
spring.datasource.driverClassName=com.mysql.jdbc.Driver
spring.datasource.url=jdbc:mysql://localhost/testnetbean?useSSL=false&serverTimezone=UTC&useLegacyDatetimeCode=false
spring.datasource.username=root
spring.datasource.password=mysql
spring.datasource.testWhileIdle=true
spring.datasource.validationQuery=SELECT 1
#JPA properties. Using ddl-auto = create will drop schema every-time.
#Choose the correct property based on development / production role.
spring.jpa.hibernate.ddl-auto=update
spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.MySQL5InnoDBDialect
spring.datasource.initialization-mode=always
spring.jpa.properties.hibernate.format_sql=true
logging.level.org.hibernate.SQL=DEBUG
logging.level.org.springframework.web.filter.CommonsRequestLoggingFilter=DEBUG

#Jackson properties
spring.jackson.serialization.WRITE_DATES_AS_TIMESTAMPS=false
spring.jackson.time-zone=UTC

## MULTIPART (MultipartProperties)
# Enable multipart uploads
spring.servlet.multipart.enabled=true
# Threshold after which files are written to disk.
spring.servlet.multipart.file-size-threshold=2KB
# Max file size.
spring.servlet.multipart.max-file-size=20MB
# Max Request Size
spring.servlet.multipart.max-request-size=25MB

## File Storage Properties
# All files uploaded through the REST API will be stored in this directory
file.upload-dir=D://temp//


